# $Id: fftw.spec,v 1.5 2003/03/05 14:51:16 dude Exp $

Summary: Fast Fourier Transform library.
Name: fftw
Version: 2.1.3
Release: fr2.1
License: GPL
Group: System Environment/Libraries
Source: http://www.fftw.org/fftw-%{version}.tar.gz
URL: http://www.fftw.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: /sbin/ldconfig

%description
FFTW is a C subroutine library for computing the Discrete Fourier Transform
(DFT) in one or more dimensions, of both real and complex data, and of
arbitrary input size. We believe that FFTW, which is free software, should
become the FFT library of choice for most applications. Our benchmarks,
performed on on a variety of platforms, show that FFTW's performance is
typically superior to that of other publicly available FFT software.


%package devel
Summary: Headers, libraries and docs for the FFTW library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
FFTW is a C subroutine library for computing the Discrete Fourier Transform
(DFT) in one or more dimensions, of both real and complex data, and of
arbitrary input size. We believe that FFTW, which is free software, should
become the FFT library of choice for most applications. Our benchmarks,
performed on on a variety of platforms, show that FFTW's performance is
typically superior to that of other publicly available FFT software.

This package contains header files and development libraries needed to
develop programs using the FFTW fast Fourier transform library.


%prep
%setup -q

%build
%ifarch %ix86
	%configure \
		--enable-shared \
		--enable-threads \
		--enable-i386-hacks
%else
	%configure \
		--enable-shared \
		--enable-threads
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
rm -f doc/Makefile*

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYRIGHT ChangeLog NEWS README* TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc FAQ/fftw-faq.html/ doc/
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_infodir}/*

%changelog
* Tue Oct 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed the original single/double build to be "compatible" with the
  gstreamer build :-/

* Mon Oct 21 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

